Package com.saxonica.expr

## Class XQueryParserExtensionPE

- java.lang.Object
- - net.sf.saxon.expr.parser.ParserExtension
  - - com.saxonica.expr.SaxonSyntaxExtension
    - - com.saxonica.expr.XQueryParserExtensionPE

- Direct Known Subclasses:
    `XQueryParserExtensionEE`

      public class XQueryParserExtensionPE
      extends SaxonSyntaxExtension

  Parser extension for syntax in XQuery Update and/or XQuery 3.0 that is supported only in Saxon-PE or -EE.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class com.saxonica.expr.SaxonSyntaxExtension

      `SaxonSyntaxExtension.UnderscoreFunctionDetails`

    - ### Nested classes/interfaces inherited from class net.sf.saxon.expr.parser.ParserExtension

      `ParserExtension.InlineFunctionDetails, ParserExtension.TemporaryXSLTVariableBinding`

  - ### Field Summary

    - ### Fields inherited from class net.sf.saxon.expr.parser.ParserExtension

      `inlineFunctionStack`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `XQueryParserExtensionPE()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `protected boolean` | `isReservedInQuery​(java.lang.String uri)` | Get the permitted set of standard functions in this environment
    `void` | `parseTypeAliasDeclaration​(XQueryParser p)` | Parse a type alias declaration.

    - ### Methods inherited from class com.saxonica.expr.SaxonSyntaxExtension

      `bindNumericParameterReference, handleExternalFunctionDeclaration, parseDotFunction, parseExtendedItemType, parseForMemberExpression, parseTypePattern, parseUnderscoreFunction, parseUnionType`

    - ### Methods inherited from class net.sf.saxon.expr.parser.ParserExtension

      `createDynamicCurriedFunction, curryFunction, findOuterRangeVariable, findOuterRangeVariable, makeArgumentPlaceMarker, makeCurriedFunction, makeInlineFunctionValue, parseExtendedExprSingle, parseFunctionItemType, parseInlineFunction, parseNamedFunctionReference, parseRevalidationDeclaration, parseUpdatingFunctionDeclaration`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### XQueryParserExtensionPE

          public XQueryParserExtensionPE()

  - ### Method Detail

    - #### isReservedInQuery

          protected boolean isReservedInQuery​(java.lang.String uri)

      Get the permitted set of standard functions in this environment

    - #### parseTypeAliasDeclaration

          public void parseTypeAliasDeclaration​(XQueryParser p)
                                         throws XPathException

      Parse a type alias declaration. Allowed only in Saxon-PE and higher, and only when Saxon syntax extensions are enabled Syntax: declare type QName = ItemType;
      Overrides:
        `parseTypeAliasDeclaration` in class `ParserExtension`
      Throws:
        `XPathException` - if parsing fails